Subject: Re: [bug#29438] [PATCH 2/2] services: configuration: Show default values of list types.

From: [email-masked] (Ludovic Courtès)
Date: Sun, 26 Nov 2017 17:31:36 +0100

Clément Lassieur <[email-masked]> skribis:

> * doc/guix.texi (Messaging Services): Regenerate it.
> * gnu/services/configuration.scm (show-default?): Fix recursion.
> * gnu/services/messaging.scm (show-default?): Fix recursion.

Rather “Check VAL rather than DEFAULT.”

> (prosody-configuration)[modules-enabled]: Remove default value from docstring.

LGTM, though I’m afraid we’ll have a hard time keep guix.texi in sync,
at least until we have an automated mechanism to regenerate those bits.

Also, I was thinking that ‘guix system search’ could display
field/default-value pairs.  I’m not 100% sure it’s a good idea because
that could be very verbose.

Thoughts?

Ludo’.